<div [ngClass]="[jds.mb(12)]">
  <jds-bi-scrollbar [style.maxHeight.px]="105">
    <ul
      [ngClass]="[jds.ps(0), jds.mb(0)]"
      [style.listStyle]="'none'"
      [style.height]="'auto'"
      data-mcs-theme="dark"
    >
      <ng-container *ngIf="isLoadingList$ | async">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [90, 20, 50, 90, 50]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '5px'
            }"
          />
        </div>
      </ng-container>
      <ng-container *ngIf="(isLoadingList$ | async) === false">
        <li
          *ngFor="let row of data; let i = index"
          [ngClass]="[jds.mb(5), jds.pe(15)]"
        >
          <div [ngClass]="[jds.formCheck]">
            <input
              id="checkbox_classification_dataset{{ i }}"
              [(ngModel)]="row.checked"
              [ngClass]="[jds.formCheckInput]"
              (change)="filterClassificationDataset($event.target.checked, row)"
              type="checkbox"
            />
            <label
              [ngClass]="[jds.formCheckLabel]"
              for="checkbox_classification_dataset{{ i }}"
              >{{ row.name }}</label
            >
          </div>
        </li>
      </ng-container>
    </ul>
  </jds-bi-scrollbar>
</div>
